<?php
namespace Geral\Repositories;

use \Setforms2\Shared\Registry;

class Arqmagnetico extends \Doctrine\ORM\EntityRepository
{
    public static function MaiorCod($nrorg){
        $sql = "SELECT MAX(NRSEQARQMAG)
                  FROM ARQMAGNETICO
                 WHERE NRORG = '$nrorg'
               ";
        return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchColumn($sql);
    }

    public static function LimpaTabela($nrorg,$nrseq){
        $sql = "DELETE FROM ARQMAGNETICO
                      WHERE NRORG = '$nrorg'
					    AND NRSEQARQMAG = '$nrseq'
			   ";

        \Setforms2\Shared\Registry::getEntityManager()->getConnection()->exec($sql);
    }

    public static function getRepresemresa($empresa){
        $sql = "SELECT 1
                  FROM REPRESEMPRESA
                 WHERE CDEMPRESA = :P_CDEMPRESA
                   AND IDATIVO = 'S'";
        $paramsWhere = array(
            'P_CDEMPRESA'   => $empresa
        );
        try {
            return Registry::getEntityManager()->getConnection()->fetchColumn($sql, $paramsWhere);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getContador($empresa){
        $sql = "SELECT 1
                  FROM EMPRESA E, CONTADOR C
                 WHERE E.CDEMPRESA = :P_CDEMPRESA
                   AND E.CDCONTADOR2 = C.CDCONTADOR2";
        $paramsWhere = array(
            'P_CDEMPRESA'   => $empresa
        );
        try {
            return Registry::getEntityManager()->getConnection()->fetchColumn($sql, $paramsWhere);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getLanccont($empresa, $periodo){
        $sql = "SELECT 1
                  FROM LANCCONT
                 WHERE IDLANCINTE = 'T'
                   AND CDEMPRESA = :P_CDEMPRESA
                   AND DTLANCCONT = TO_DATE('31/12/' || :P_PERIODO)";
        $paramsWhere = array(
            'P_CDEMPRESA'   => $empresa,
            'P_PERIODO'     => $periodo
        );
        try {
            return Registry::getEntityManager()->getConnection()->fetchColumn($sql, $paramsWhere);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getTipoB(){
        $sql = "SELECT 1
                  FROM TIPODEMO
                 WHERE IDREFESPED = 'B'";
        try {
            return Registry::getEntityManager()->getConnection()->fetchColumn($sql);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getTipoD(){
        $sql = "SELECT 1
                  FROM TIPODEMO
                 WHERE IDREFESPED = 'D'";
        try {
            return Registry::getEntityManager()->getConnection()->fetchColumn($sql);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getArqMag($nrseqarqmag){
        $sql = "SELECT DSREGARQMAG
                  FROM ARQMAGNETICO
                 WHERE NRSEQARQMAG = :P_NRSEQARQMAG
                 ORDER BY NRORDREGARQ";
        $paramsWhere = array(
            'P_NRSEQARQMAG'   => $nrseqarqmag
        );
        try {
            return Registry::getEntityManager()->getConnection()->fetchAll($sql, $paramsWhere);
        } catch (\Exception $e) {
            throw $e;
        }
    }

}