/* Tabela PAREXPEDICAO*/
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela PAREXPEDICAO*/
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela PAREXPEDICAO, utilizando a tabela Geral de Logs de Operaes */

IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_EXP_PAREXPEDICAO' AND
                TYPE   = 'TR'              AND
                U.UID  = O.UID             AND
                U.NAME = USER)

DROP TRIGGER LOG_EXP_PAREXPEDICAO
GO
CREATE TRIGGER LOG_EXP_PAREXPEDICAO
ON PAREXPEDICAO
FOR UPDATE,INSERT, DELETE
AS
BEGIN
  DECLARE @V_USUARIO             VARCHAR(40);
  DECLARE @V_TIPO                VARCHAR(1);
  DECLARE @V_TPMOVI              VARCHAR(1);
  DECLARE @V_ITPESQ              VARCHAR(40);
  DECLARE @V_DESC                VARCHAR(500);
  DECLARE @V_CDFILLOGOPER        VARCHAR(4);
  DECLARE @V_DSREMOTEADDR        VARCHAR(15);
  DECLARE @V_DSREMOTEHOST        VARCHAR(15);
  DECLARE @V_DSSERVERRDM         VARCHAR(20);
  DECLARE @V_DSSERVMETHOD        VARCHAR(30);
  DECLARE @V_DSREMOTEOPER        VARCHAR(12);
  DECLARE @V_DTOPER              DATETIME;

  DECLARE @V_CDFILIAL_NEW  VARCHAR(4);
  DECLARE @V_IDPERADIEXP_NEW  VARCHAR(1);   
  DECLARE @V_VRPEADIEXP_NEW DOUBLE PRECISION;
  DECLARE @V_VRPELIQEXP_NEW DOUBLE PRECISION;
  DECLARE @V_IDGERAREPLIC_NEW  VARCHAR(1);   
  DECLARE @V_IDRETPROEXP_NEW  VARCHAR(1);   
  DECLARE @V_IDTPCADCLIEX_NEW  VARCHAR(1);   
  DECLARE @V_IDGERAFINANC_NEW  VARCHAR(1);   
  DECLARE @V_CDIMPOSTO_NEW  VARCHAR(2);   
  DECLARE @V_IDCTRLVENEXP_NEW  VARCHAR(1);   
  DECLARE @V_IDNFPEDIDO_NEW  VARCHAR(1);   
  DECLARE @V_IDCUSEXP_NEW  VARCHAR(2);   
  DECLARE @V_IDGERPRODEST_NEW  VARCHAR(1);   
  DECLARE @V_IDREPLITRANS_NEW  VARCHAR(1);   
  DECLARE @V_CDGROPERTROC_NEW  VARCHAR(2);   
  DECLARE @V_IDEVOLESTTRO_NEW  VARCHAR(1);   
  DECLARE @V_IDEXPQTDISP_NEW  VARCHAR(1);   
  DECLARE @V_CDTPCTPAGFRE_NEW  VARCHAR(6);   
  DECLARE @V_VRPECOGEREXP_NEW DOUBLE PRECISION;
  DECLARE @V_DSCODIGOUTILIZA_NEW  VARCHAR(300); 
  DECLARE @V_IDEXIDIAENTREGA_NEW  VARCHAR(1);   
  DECLARE @V_IDEXITRANSPDIST_NEW  VARCHAR(1);   
  DECLARE @V_IDEMPRESANFEXP_NEW  VARCHAR(15);  
  DECLARE @V_IDSEPARADOR_NEW  VARCHAR(1);   
  DECLARE @V_IDCONFERENTE_NEW  VARCHAR(1);   
  DECLARE @V_CDTIPTRANS_NEW  VARCHAR(4);   
  DECLARE @V_IDTPIJURTRAN_NEW  VARCHAR(1);   
  DECLARE @V_NRINSJURTRAN_NEW  VARCHAR(20);  
  DECLARE @V_VRPERLOTACAO_NEW DOUBLE PRECISION;
  DECLARE @V_IDCANCELAITEM_NEW  VARCHAR(1);   
  DECLARE @V_IDCRTLVEICULO_NEW  VARCHAR(1);   
  DECLARE @V_IDBLOQUEIAPESO_NEW  VARCHAR(1);   
  DECLARE @V_DSACREMISPERDA_NEW  VARCHAR(50);  
  DECLARE @V_IDENTSAIOPPERDA_NEW  VARCHAR(1);   
  DECLARE @V_IDENTSAIOPSOBRA_NEW  VARCHAR(1);   
  DECLARE @V_CDTPOPERPERDA_NEW  VARCHAR(2);   
  DECLARE @V_CDTPOPERSOBRA_NEW  VARCHAR(2);   
  DECLARE @V_IDBLOQUOPTERC_NEW  VARCHAR(1);   
  DECLARE @V_IDUTILALMOXTERC_NEW  VARCHAR(1);   
  DECLARE @V_IDCOMISPERIODO_NEW  VARCHAR(1);   
  DECLARE @V_VRPERCOMEXP_NEW DOUBLE PRECISION;
  DECLARE @V_VRPERCOMREC_NEW DOUBLE PRECISION;
  DECLARE @V_IDUTSEPPEDEXP_NEW VARCHAR(1);

  DECLARE @V_CDFILIAL_OLD  VARCHAR(4);
  DECLARE @V_IDPERADIEXP_OLD  VARCHAR(1);   
  DECLARE @V_VRPEADIEXP_OLD DOUBLE PRECISION;
  DECLARE @V_VRPELIQEXP_OLD DOUBLE PRECISION;
  DECLARE @V_IDGERAREPLIC_OLD  VARCHAR(1);   
  DECLARE @V_IDRETPROEXP_OLD  VARCHAR(1);   
  DECLARE @V_IDTPCADCLIEX_OLD  VARCHAR(1);   
  DECLARE @V_IDGERAFINANC_OLD  VARCHAR(1);   
  DECLARE @V_CDIMPOSTO_OLD  VARCHAR(2);   
  DECLARE @V_IDCTRLVENEXP_OLD  VARCHAR(1);   
  DECLARE @V_IDNFPEDIDO_OLD  VARCHAR(1);   
  DECLARE @V_IDCUSEXP_OLD  VARCHAR(2);   
  DECLARE @V_IDGERPRODEST_OLD  VARCHAR(1);   
  DECLARE @V_IDREPLITRANS_OLD  VARCHAR(1);   
  DECLARE @V_CDGROPERTROC_OLD  VARCHAR(2);   
  DECLARE @V_IDEVOLESTTRO_OLD  VARCHAR(1);   
  DECLARE @V_IDEXPQTDISP_OLD  VARCHAR(1);   
  DECLARE @V_CDTPCTPAGFRE_OLD  VARCHAR(6);   
  DECLARE @V_VRPECOGEREXP_OLD DOUBLE PRECISION;
  DECLARE @V_DSCODIGOUTILIZA_OLD  VARCHAR(300); 
  DECLARE @V_IDEXIDIAENTREGA_OLD  VARCHAR(1);   
  DECLARE @V_IDEXITRANSPDIST_OLD  VARCHAR(1);   
  DECLARE @V_IDEMPRESANFEXP_OLD  VARCHAR(15);  
  DECLARE @V_IDSEPARADOR_OLD  VARCHAR(1);   
  DECLARE @V_IDCONFERENTE_OLD  VARCHAR(1);   
  DECLARE @V_CDTIPTRANS_OLD  VARCHAR(4);   
  DECLARE @V_IDTPIJURTRAN_OLD  VARCHAR(1);   
  DECLARE @V_NRINSJURTRAN_OLD  VARCHAR(20);  
  DECLARE @V_VRPERLOTACAO_OLD DOUBLE PRECISION;
  DECLARE @V_IDCANCELAITEM_OLD  VARCHAR(1);   
  DECLARE @V_IDCRTLVEICULO_OLD  VARCHAR(1);   
  DECLARE @V_IDBLOQUEIAPESO_OLD  VARCHAR(1);   
  DECLARE @V_DSACREMISPERDA_OLD  VARCHAR(50);  
  DECLARE @V_IDENTSAIOPPERDA_OLD  VARCHAR(1);   
  DECLARE @V_IDENTSAIOPSOBRA_OLD  VARCHAR(1);   
  DECLARE @V_CDTPOPERPERDA_OLD  VARCHAR(2);   
  DECLARE @V_CDTPOPERSOBRA_OLD  VARCHAR(2);   
  DECLARE @V_IDBLOQUOPTERC_OLD  VARCHAR(1);   
  DECLARE @V_IDUTILALMOXTERC_OLD  VARCHAR(1);   
  DECLARE @V_IDCOMISPERIODO_OLD  VARCHAR(1);   
  DECLARE @V_VRPERCOMEXP_OLD DOUBLE PRECISION;
  DECLARE @V_VRPERCOMREC_OLD DOUBLE PRECISION;
  DECLARE @V_IDUTSEPPEDEXP_OLD VARCHAR(1);

   SET @V_TIPO = '0';
   SET @V_DESC = '';
   SET @V_CDFILLOGOPER = '';
   SET @V_USUARIO = '-';

   DECLARE C_CURSOR_R CURSOR FOR
      SELECT
         'D' IDCOMANDO,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL,
         CDFILIAL,
         IDPERADIEXP,
         VRPEADIEXP,
         VRPELIQEXP,
         IDGERAREPLIC,
         IDRETPROEXP,
         IDTPCADCLIEX,
         IDGERAFINANC,
         CDIMPOSTO,
         IDCTRLVENEXP,
         IDNFPEDIDO,
         IDCUSEXP,
         IDGERPRODEST,
         IDREPLITRANS,
         CDGROPERTROC,
         IDEVOLESTTRO,
         IDEXPQTDISP,
         CDTPCTPAGFRE,
         VRPECOGEREXP,
         DSCODIGOUTILIZA,
         IDEXIDIAENTREGA,
         IDEXITRANSPDIST,
         IDEMPRESANFEXP,
         IDSEPARADOR,
         IDCONFERENTE,
         CDTIPTRANS,
         IDTPIJURTRAN,
         NRINSJURTRAN,
         VRPERLOTACAO,
         IDCANCELAITEM,
         IDCRTLVEICULO,
         IDBLOQUEIAPESO,         
         DSACREMISPERDA,
         IDENTSAIOPPERDA,
         IDENTSAIOPSOBRA,
         CDTPOPERPERDA,
         CDTPOPERSOBRA,
         IDBLOQUOPTERC,
         IDUTILALMOXTERC,
         IDCOMISPERIODO,
         VRPERCOMEXP,
         VRPERCOMREC,
         IDUTSEPPEDEXP
      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)

      UNION ALL

      SELECT
         'U' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.IDPERADIEXP,
         INSERTED.VRPEADIEXP,
         INSERTED.VRPELIQEXP,
         INSERTED.IDGERAREPLIC,
         INSERTED.IDRETPROEXP,
         INSERTED.IDTPCADCLIEX,
         INSERTED.IDGERAFINANC,
         INSERTED.CDIMPOSTO,
         INSERTED.IDCTRLVENEXP,
         INSERTED.IDNFPEDIDO,
         INSERTED.IDCUSEXP,
         INSERTED.IDGERPRODEST,
         INSERTED.IDREPLITRANS,
         INSERTED.CDGROPERTROC,
         INSERTED.IDEVOLESTTRO,
         INSERTED.IDEXPQTDISP,
         INSERTED.CDTPCTPAGFRE,
         INSERTED.VRPECOGEREXP,
         INSERTED.DSCODIGOUTILIZA,
         INSERTED.IDEXIDIAENTREGA,
         INSERTED.IDEXITRANSPDIST,
         INSERTED.IDEMPRESANFEXP,
         INSERTED.IDSEPARADOR,
         INSERTED.IDCONFERENTE,
         INSERTED.CDTIPTRANS,
         INSERTED.IDTPIJURTRAN,
         INSERTED.NRINSJURTRAN,
         INSERTED.VRPERLOTACAO,
         INSERTED.IDCANCELAITEM,
         INSERTED.IDCRTLVEICULO,
         INSERTED.IDBLOQUEIAPESO,
         INSERTED.DSACREMISPERDA,
         INSERTED.IDENTSAIOPPERDA,
         INSERTED.IDENTSAIOPSOBRA,
         INSERTED.CDTPOPERPERDA,
         INSERTED.CDTPOPERSOBRA,
         INSERTED.IDBLOQUOPTERC,
         INSERTED.IDUTILALMOXTERC,         
         INSERTED.IDCOMISPERIODO,
         INSERTED.VRPERCOMEXP,
         INSERTED.VRPERCOMREC,
         INSERTED.IDUTSEPPEDEXP,         

         DELETED.CDFILIAL,
         DELETED.IDPERADIEXP,
         DELETED.VRPEADIEXP,
         DELETED.VRPELIQEXP,
         DELETED.IDGERAREPLIC,
         DELETED.IDRETPROEXP,
         DELETED.IDTPCADCLIEX,
         DELETED.IDGERAFINANC,
         DELETED.CDIMPOSTO,
         DELETED.IDCTRLVENEXP,
         DELETED.IDNFPEDIDO,
         DELETED.IDCUSEXP,
         DELETED.IDGERPRODEST,
         DELETED.IDREPLITRANS,
         DELETED.CDGROPERTROC,
         DELETED.IDEVOLESTTRO,
         DELETED.IDEXPQTDISP,
         DELETED.CDTPCTPAGFRE,
         DELETED.VRPECOGEREXP,
         DELETED.DSCODIGOUTILIZA,
         DELETED.IDEXIDIAENTREGA,
         DELETED.IDEXITRANSPDIST,
         DELETED.IDEMPRESANFEXP,
         DELETED.IDSEPARADOR,
         DELETED.IDCONFERENTE,
         DELETED.CDTIPTRANS,
         DELETED.IDTPIJURTRAN,
         DELETED.NRINSJURTRAN,
         DELETED.VRPERLOTACAO,
         DELETED.IDCANCELAITEM,
         DELETED.IDCRTLVEICULO,
         DELETED.IDBLOQUEIAPESO,
         DELETED.DSACREMISPERDA,
         DELETED.IDENTSAIOPPERDA,
         DELETED.IDENTSAIOPSOBRA,
         DELETED.CDTPOPERPERDA,
         DELETED.CDTPOPERSOBRA,
         DELETED.IDBLOQUOPTERC,
         DELETED.IDUTILALMOXTERC,                  
         DELETED.IDCOMISPERIODO,
         DELETED.VRPERCOMEXP,
         DELETED.VRPERCOMREC,
         DELETED.IDUTSEPPEDEXP         

      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDFILIAL = DELETED.CDFILIAL

      UNION ALL

      SELECT
         'I' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.IDPERADIEXP,
         INSERTED.VRPEADIEXP,
         INSERTED.VRPELIQEXP,
         INSERTED.IDGERAREPLIC,
         INSERTED.IDRETPROEXP,
         INSERTED.IDTPCADCLIEX,
         INSERTED.IDGERAFINANC,
         INSERTED.CDIMPOSTO,
         INSERTED.IDCTRLVENEXP,
         INSERTED.IDNFPEDIDO,
         INSERTED.IDCUSEXP,
         INSERTED.IDGERPRODEST,
         INSERTED.IDREPLITRANS,
         INSERTED.CDGROPERTROC,
         INSERTED.IDEVOLESTTRO,
         INSERTED.IDEXPQTDISP,
         INSERTED.CDTPCTPAGFRE,
         INSERTED.VRPECOGEREXP,
         INSERTED.DSCODIGOUTILIZA,
         INSERTED.IDEXIDIAENTREGA,
         INSERTED.IDEXITRANSPDIST,
         INSERTED.IDEMPRESANFEXP,
         INSERTED.IDSEPARADOR,
         INSERTED.IDCONFERENTE,
         INSERTED.CDTIPTRANS,
         INSERTED.IDTPIJURTRAN,
         INSERTED.NRINSJURTRAN,
         INSERTED.VRPERLOTACAO,
         INSERTED.IDCANCELAITEM,
         INSERTED.IDCRTLVEICULO,
         INSERTED.IDBLOQUEIAPESO,
         INSERTED.DSACREMISPERDA,
         INSERTED.IDENTSAIOPPERDA,
         INSERTED.IDENTSAIOPSOBRA,
         INSERTED.CDTPOPERPERDA,
         INSERTED.CDTPOPERSOBRA,
         INSERTED.IDBLOQUOPTERC,
         INSERTED.IDUTILALMOXTERC,
         INSERTED.IDCOMISPERIODO,
         INSERTED.VRPERCOMEXP,
         INSERTED.VRPERCOMREC,         
         INSERTED.IDUTSEPPEDEXP,

         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL
      FROM
         INSERTED
      WHERE
         0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR_R;
   FETCH NEXT FROM C_CURSOR_R INTO @V_TIPO,
                                   @V_CDFILIAL_NEW, @V_IDPERADIEXP_NEW, @V_VRPEADIEXP_NEW, @V_VRPELIQEXP_NEW, @V_IDGERAREPLIC_NEW, 
                                   @V_IDRETPROEXP_NEW, @V_IDTPCADCLIEX_NEW, @V_IDGERAFINANC_NEW, @V_CDIMPOSTO_NEW, @V_IDCTRLVENEXP_NEW, 
                                   @V_IDNFPEDIDO_NEW, @V_IDCUSEXP_NEW, @V_IDGERPRODEST_NEW, @V_IDREPLITRANS_NEW, @V_CDGROPERTROC_NEW, 
                                   @V_IDEVOLESTTRO_NEW, @V_IDEXPQTDISP_NEW, @V_CDTPCTPAGFRE_NEW, @V_VRPECOGEREXP_NEW, @V_DSCODIGOUTILIZA_NEW, 
                                   @V_IDEXIDIAENTREGA_NEW, @V_IDEXITRANSPDIST_NEW, @V_IDEMPRESANFEXP_NEW, @V_IDSEPARADOR_NEW, 
                                   @V_IDCONFERENTE_NEW, @V_CDTIPTRANS_NEW, @V_IDTPIJURTRAN_NEW, @V_NRINSJURTRAN_NEW, @V_VRPERLOTACAO_NEW, 
                                   @V_IDCANCELAITEM_NEW, @V_IDCRTLVEICULO_NEW, @V_IDBLOQUEIAPESO_NEW, @V_DSACREMISPERDA_NEW,
                                   @V_IDENTSAIOPPERDA_NEW, @V_IDENTSAIOPSOBRA_NEW, @V_CDTPOPERPERDA_NEW, @V_CDTPOPERSOBRA_NEW, 
                                   @V_IDBLOQUOPTERC_NEW, @V_IDUTILALMOXTERC_NEW, @V_IDCOMISPERIODO_NEW, @V_VRPERCOMEXP_NEW, 
                                   @V_VRPERCOMREC_NEW, @V_IDUTSEPPEDEXP_NEW,

                                   @V_CDFILIAL_OLD, @V_IDPERADIEXP_OLD, @V_VRPEADIEXP_OLD, @V_VRPELIQEXP_OLD, @V_IDGERAREPLIC_OLD, 
                                   @V_IDRETPROEXP_OLD, @V_IDTPCADCLIEX_OLD, @V_IDGERAFINANC_OLD, @V_CDIMPOSTO_OLD, @V_IDCTRLVENEXP_OLD, 
                                   @V_IDNFPEDIDO_OLD, @V_IDCUSEXP_OLD, @V_IDGERPRODEST_OLD, @V_IDREPLITRANS_OLD, @V_CDGROPERTROC_OLD, 
                                   @V_IDEVOLESTTRO_OLD, @V_IDEXPQTDISP_OLD, @V_CDTPCTPAGFRE_OLD  @V_VRPECOGEREXP_OLD, @V_DSCODIGOUTILIZA_OLD, 
                                   @V_IDEXIDIAENTREGA_OLD, @V_IDEXITRANSPDIST_OLD, @V_IDEMPRESANFEXP_OLD, @V_IDSEPARADOR_OLD, 
                                   @V_IDCONFERENTE_OLD, @V_CDTIPTRANS_OLD, @V_IDTPIJURTRAN_OLD, @V_NRINSJURTRAN_OLD, @V_VRPERLOTACAO_OLD, 
                                   @V_IDCANCELAITEM_OLD, @V_IDCRTLVEICULO_OLD, @V_IDBLOQUEIAPESO_OLD, @V_DSACREMISPERDA_OLD,
                                   @V_IDENTSAIOPPERDA_OLD, @V_IDENTSAIOPSOBRA_OLD, @V_CDTPOPERPERDA_OLD, @V_CDTPOPERSOBRA_OLD, 
                                   @V_IDBLOQUOPTERC_OLD, @V_IDUTILALMOXTERC_OLD, @V_IDCOMISPERIODO_OLD, @V_VRPERCOMEXP_OLD, 
                                   @V_VRPERCOMREC_OLD, @V_IDUTSEPPEDEXP_OLD;

   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF @V_TIPO = 'D' BEGIN

         IF @V_CDFILIAL_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Filial = ' + ISNULL(@V_CDFILIAL_OLD,'') + ' ';
         END;
         IF @V_IDPERADIEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Permisso para expedir qtde adicional = ' + ISNULL(@V_IDPERADIEXP_OLD,'') + ' ';
         END;
         IF @V_VRPEADIEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Vr adicional permitido = ' + ISNULL(CONVERT(VARCHAR,@V_VRPEADIEXP_OLD),'') + '% ';
         END;
         IF @V_VRPELIQEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Vr. de replicao do documento (NF) = ' + ISNULL(CONVERT(VARCHAR,@V_VRPELIQEXP_OLD),'') + '% ';
         END;
         IF @V_IDGERAREPLIC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Gera replicao do documento (NF) = ' + ISNULL(@V_IDGERAREPLIC_OLD,'') + ' ';
         END;
         IF @V_IDRETPROEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Retirada de produtos do estoque = ' + ISNULL(@V_IDRETPROEXP_OLD,'') + ' ';
         END;
         IF @V_IDTPCADCLIEX_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Tipo de cadastro de cliente = ' + ISNULL(@V_IDTPCADCLIEX_OLD,'') + ' ';
         END;
         IF @V_IDGERAFINANC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Gera documentos aprovados = ' + ISNULL(@V_IDGERAFINANC_OLD,'') + ' ';
         END;
         IF @V_CDIMPOSTO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Imposto = ' + ISNULL(@V_CDIMPOSTO_OLD,'') + ' ';
         END;
         IF @V_IDCTRLVENEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Controle por vendedor = ' + ISNULL(@V_IDCTRLVENEXP_OLD,'') + ' ';
         END;
         IF @V_IDNFPEDIDO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Quebra de NFs por pedido = ' + ISNULL(@V_IDNFPEDIDO_OLD,'') + ' ';
         END;
         IF @V_IDCUSEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Custo na Expedio = ' + ISNULL(@V_IDCUSEXP_OLD,'') + ' ';
         END;
         IF @V_IDGERPRODEST_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Gera NF com cdigos de produtos de estoque = ' + ISNULL(@V_IDGERPRODEST_OLD,'') + ' ';
         END;
         IF @V_IDREPLITRANS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Replica transportadora = ' + ISNULL(@V_IDREPLITRANS_OLD,'') + ' ';
         END;
         IF @V_CDGROPERTROC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Grupo de Operadores para troca de produtos = ' + ISNULL(@V_CDGROPERTROC_OLD,'') + ' ';
         END;
         IF @V_IDEVOLESTTRO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Evoluo automtica de estoque = ' + ISNULL(@V_IDEVOLESTTRO_OLD,'') + ' ';
         END;
         IF @V_IDEXPQTDISP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Expedio automtica para produtos c/ estoque = ' + ISNULL(@V_IDEXPQTDISP_OLD,'') + ' ';
         END;
         IF @V_CDTPCTPAGFRE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Tipo de conta para frete = ' + ISNULL(@V_CDTPCTPAGFRE_OLD,'') + ' ';
         END;
         IF @V_VRPECOGEREXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Vr. de comisso gerado = ' + ISNULL(CONVERT(VARCHAR,@V_VRPECOGEREXP_OLD),'') + '% ';
         END;
         IF @V_DSCODIGOUTILIZA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Cdigo de Utilizao de Mapas = ' + ISNULL(@V_DSCODIGOUTILIZA_OLD,'') + ' ';
         END;
         IF @V_IDEXIDIAENTREGA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Filtro de Dias de Entrega = ' + ISNULL(@V_IDEXIDIAENTREGA_OLD,'') + ' ';
         END;
         IF @V_IDEXITRANSPDIST_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Transportadora na Grade de Distribuio = ' + ISNULL(@V_IDEXITRANSPDIST_OLD,'') + ' ';
         END;
         IF @V_IDEMPRESANFEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Empresa da Nota Fiscal = ' + ISNULL(@V_IDEMPRESANFEXP_OLD,'') + ' ';
         END;
         IF @V_IDSEPARADOR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Utiliza Separador = ' + ISNULL(@V_IDSEPARADOR_OLD,'') + ' ';
         END;
         IF @V_IDCONFERENTE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Utiliza Conferente = ' + ISNULL(@V_IDCONFERENTE_OLD,'') + ' ';
         END;
         IF @V_CDTIPTRANS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Transportadora = ' + ISNULL(@V_CDTIPTRANS_OLD,'') + ' ';
         END;
         IF @V_IDTPIJURTRAN_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de inscrio= ' + ISNULL(@V_IDTPIJURTRAN_OLD,'') + ' ';
         END;
         IF @V_NRINSJURTRAN_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Inscrio jurdica = ' + ISNULL(@V_NRINSJURTRAN_OLD,'') + ' ';
         END;
         IF @V_VRPERLOTACAO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Vr. para aviso de lotao = ' + ISNULL(CONVERT(VARCHAR,@V_VRPERLOTACAO_OLD),'') + '% ';
         END;
         IF @V_IDCANCELAITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Cancela produtos s/ estoque = ' + ISNULL(@V_IDCANCELAITEM_OLD,'') + ' ';
         END;
         IF @V_IDCRTLVEICULO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Controle de veculos = ' + ISNULL(@V_IDCRTLVEICULO_OLD,'') + ' ';
         END;
         IF @V_IDBLOQUEIAPESO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Bloqueia alterao no peso = ' + ISNULL(@V_IDBLOQUEIAPESO_OLD,'') + ' ';
         END;
         IF @V_DSACREMISPERDA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Emisso de produtos de perda = ' + ISNULL(@V_DSACREMISPERDA_OLD,'') + ' ';
         END;
         IF @V_IDENTSAIOPPERDA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Operao E/S para perda = ' + ISNULL(@V_IDENTSAIOPPERDA_OLD,'') + ' ';
         END;
         IF @V_IDENTSAIOPSOBRA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Operao E/S para sobra = ' + ISNULL(@V_IDENTSAIOPSOBRA_OLD,'') + ' ';
         END;
         IF @V_CDTPOPERPERDA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de operao de perda = ' + ISNULL(@V_CDTPOPERPERDA_OLD,'') + ' ';
         END;
         IF @V_CDTPOPERSOBRA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de operao de sobra = ' + ISNULL(@V_CDTPOPERSOBRA_OLD,'') + ' ';
         END;
         IF @V_IDBLOQUOPTERC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Bloquear expedio de terc. s/ OP = ' + ISNULL(@V_IDBLOQUOPTERC_OLD,'') + ' ';
         END;
         IF @V_IDUTILALMOXTERC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Expedio de terc. utilizar estoque de terc. = ' + ISNULL(@V_IDUTILALMOXTERC_OLD,'') + ' ';
         END;
         IF @V_IDCOMISPERIODO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Comisso do vendedor por perodo = ' + ISNULL(@V_IDCOMISPERIODO_OLD,'') + ' ';
         END;
         IF @V_VRPERCOMEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Vr. de comisso na expedio (EXP) = ' + ISNULL(CONVERT(VARCHAR,@V_VRPERCOMEXP_OLD),'') + '% ';
         END;
         IF @V_VRPERCOMREC_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Vr. de comisso na baixa (REC) = ' + ISNULL(CONVERT(VARCHAR,@V_VRPERCOMREC_OLD),'') + '% ';
         END;
         IF @V_IDUTSEPPEDEXP_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Ut. Sep. Exp. = ' + ISNULL(@V_IDUTSEPPEDEXP_OLD,'') + ' ';
         END;

         SET @V_TPMOVI = '3';
         SET @V_ITPESQ = @V_CDFILIAL_OLD;
      END
      ELSE BEGIN
         IF @V_TIPO = 'U' BEGIN
             IF (@V_CDFILIAL_OLD        <> @V_CDFILIAL_NEW       ) OR
                (@V_IDPERADIEXP_OLD     <> @V_IDPERADIEXP_NEW    ) OR
                (@V_VRPEADIEXP_OLD      <> @V_VRPEADIEXP_NEW     ) OR
                (@V_VRPELIQEXP_OLD      <> @V_VRPELIQEXP_NEW     ) OR
                (@V_IDGERAREPLIC_OLD    <> @V_IDGERAREPLIC_NEW   ) OR
                (@V_IDRETPROEXP_OLD     <> @V_IDRETPROEXP_NEW    ) OR
                (@V_IDTPCADCLIEX_OLD    <> @V_IDTPCADCLIEX_NEW   ) OR
                (@V_IDGERAFINANC_OLD    <> @V_IDGERAFINANC_NEW   ) OR
                (@V_CDIMPOSTO_OLD       <> @V_CDIMPOSTO_NEW      ) OR
                (@V_IDCTRLVENEXP_OLD    <> @V_IDCTRLVENEXP_NEW   ) OR
                (@V_IDNFPEDIDO_OLD      <> @V_IDNFPEDIDO_NEW     ) OR
                (@V_IDCUSEXP_OLD        <> @V_IDCUSEXP_NEW       ) OR
                (@V_IDGERPRODEST_OLD    <> @V_IDGERPRODEST_NEW   ) OR
                (@V_IDREPLITRANS_OLD    <> @V_IDREPLITRANS_NEW   ) OR
                (@V_CDGROPERTROC_OLD    <> @V_CDGROPERTROC_NEW   ) OR
                (@V_IDEVOLESTTRO_OLD    <> @V_IDEVOLESTTRO_NEW   ) OR
                (@V_IDEXPQTDISP_OLD     <> @V_IDEXPQTDISP_NEW    ) OR
                (@V_CDTPCTPAGFRE_OLD    <> @V_CDTPCTPAGFRE_NEW   ) OR
                (@V_VRPECOGEREXP_OLD    <> @V_VRPECOGEREXP_NEW   ) OR
                (@V_DSCODIGOUTILIZA_OLD <> @V_DSCODIGOUTILIZA_NEW) OR
                (@V_IDEXIDIAENTREGA_OLD <> @V_IDEXIDIAENTREGA_NEW) OR
                (@V_IDEXITRANSPDIST_OLD <> @V_IDEXITRANSPDIST_NEW) OR
                (@V_IDEMPRESANFEXP_OLD  <> @V_IDEMPRESANFEXP_NEW ) OR
                (@V_IDSEPARADOR_OLD     <> @V_IDSEPARADOR_NEW    ) OR
                (@V_IDCONFERENTE_OLD    <> @V_IDCONFERENTE_NEW   ) OR
                (@V_CDTIPTRANS_OLD      <> @V_CDTIPTRANS_NEW     ) OR
                (@V_IDTPIJURTRAN_OLD    <> @V_IDTPIJURTRAN_NEW   ) OR
                (@V_NRINSJURTRAN_OLD    <> @V_NRINSJURTRAN_NEW   ) OR
                (@V_VRPERLOTACAO_OLD    <> @V_VRPERLOTACAO_NEW   ) OR
                (@V_IDCANCELAITEM_OLD   <> @V_IDCANCELAITEM_NEW  ) OR
                (@V_IDCRTLVEICULO_OLD   <> @V_IDCRTLVEICULO_NEW  ) OR
                (@V_IDBLOQUEIAPESO_OLD  <> @V_IDBLOQUEIAPESO_NEW ) OR
                (@V_DSACREMISPERDA_OLD  <> @V_DSACREMISPERDA_NEW ) OR
                (@V_IDENTSAIOPPERDA_OLD <> @V_IDENTSAIOPPERDA_NEW) OR
                (@V_IDENTSAIOPSOBRA_OLD <> @V_IDENTSAIOPSOBRA_NEW) OR
                (@V_CDTPOPERPERDA_OLD   <> @V_CDTPOPERPERDA_NEW  ) OR
                (@V_CDTPOPERSOBRA_OLD   <> @V_CDTPOPERSOBRA_NEW  ) OR
                (@V_IDBLOQUOPTERC_OLD   <> @V_IDBLOQUOPTERC_NEW  ) OR
                (@V_IDUTILALMOXTERC_OLD <> @V_IDUTILALMOXTERC_NEW) OR
                (@V_IDCOMISPERIODO_OLD  <> @V_IDCOMISPERIODO_NEW ) OR
                (@V_VRPERCOMEXP_OLD     <> @V_VRPERCOMEXP_NEW    ) OR
                (@V_VRPERCOMREC_OLD     <> @V_VRPERCOMREC_NEW    ) OR
                (@V_IDUTSEPPEDEXP_OLD   <> @V_IDUTSEPPEDEXP_NEW  ) BEGIN

               SET @V_TPMOVI = '2';
               SET @V_ITPESQ = @V_CDFILIAL_OLD;
            END;
         END
         ELSE BEGIN
            SET @V_TPMOVI = '1';
            SET @V_ITPESQ = @V_CDFILIAL_NEW;
         END;

         IF ISNULL(@V_CDFILIAL_NEW, '!') <> ISNULL(@V_CDFILIAL_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Filial = ' + @V_CDFILIAL_NEW;
         END;
         IF ISNULL(@V_IDPERADIEXP_NEW, '!') <> ISNULL(@V_IDPERADIEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Permisso para expedir qtde adicional = ' + @V_IDPERADIEXP_NEW;
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPEADIEXP_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPEADIEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Vr adicional permitido = ' + CONVERT(VARCHAR,@V_VRPEADIEXP_OLD);
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPELIQEXP_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPELIQEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Vr. de replicao do documento (NF) = ' + CONVERT(VARCHAR,@V_VRPELIQEXP_OLD);
         END;
         IF ISNULL(@V_IDGERAREPLIC_NEW, '!') <> ISNULL(@V_IDGERAREPLIC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Gera replicao do documento (NF) = ' + @V_IDGERAREPLIC_NEW;
         END;
         IF ISNULL(@V_IDRETPROEXP_NEW, '!') <> ISNULL(@V_IDRETPROEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Retirada de produtos do estoque = ' + @V_IDRETPROEXP_NEW;
         END;
         IF ISNULL(@V_IDTPCADCLIEX_NEW, '!') <> ISNULL(@V_IDTPCADCLIEX_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Tipo de cadastro de cliente = ' + @V_IDTPCADCLIEX_NEW;
         END;
         IF ISNULL(@V_IDGERAFINANC_NEW, '!') <> ISNULL(@V_IDGERAFINANC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Gera documentos aprovados = ' + @V_IDGERAFINANC_NEW;
         END;
         IF ISNULL(@V_CDIMPOSTO_NEW, '!') <> ISNULL(@V_CDIMPOSTO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Imposto = ' + @V_CDIMPOSTO_NEW;
         END;
         IF ISNULL(@V_IDCTRLVENEXP_NEW, '!') <> ISNULL(@V_IDCTRLVENEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Controle por vendedor = ' + @V_IDCTRLVENEXP_NEW;
         END;
         IF ISNULL(@V_IDNFPEDIDO_NEW, '!') <> ISNULL(@V_IDNFPEDIDO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Quebra de NFs por pedido = ' + @V_IDNFPEDIDO_NEW;
         END;
         IF ISNULL(@V_IDCUSEXP_NEW, '!') <> ISNULL(@V_IDCUSEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Custo na Expedio = ' + @V_IDCUSEXP_NEW;
         END;
         IF ISNULL(@V_IDGERPRODEST_NEW, '!') <> ISNULL(@V_IDGERPRODEST_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Gera NF com cdigos de produtos de estoque = ' + @V_IDGERPRODEST_NEW;
         END;
         IF ISNULL(@V_IDREPLITRANS_NEW, '!') <> ISNULL(@V_IDREPLITRANS_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Replica transportadora = ' + @V_IDREPLITRANS_NEW;
         END;
         IF ISNULL(@V_CDGROPERTROC_NEW, '!') <> ISNULL(@V_CDGROPERTROC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Grupo de Operadores para troca de produtos = ' + @V_CDGROPERTROC_NEW;
         END;
         IF ISNULL(@V_IDEVOLESTTRO_NEW, '!') <> ISNULL(@V_IDEVOLESTTRO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Evoluo automtica de estoque = ' + @V_IDEVOLESTTRO_NEW;
         END;
         IF ISNULL(@V_IDEXPQTDISP_NEW, '!') <> ISNULL(@V_IDEXPQTDISP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Expedio automtica para produtos c/ estoque = ' + @V_IDEXPQTDISP_NEW;
         END;
         IF ISNULL(@V_CDTPCTPAGFRE_NEW, '!') <> ISNULL(@V_CDTPCTPAGFRE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Tipo de conta para frete = ' + @V_CDTPCTPAGFRE_NEW;
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPECOGEREXP_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPECOGEREXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Vr. de comisso gerado = ' + CONVERT(VARCHAR,@V_VRPECOGEREXP_OLD);
         END;
         IF ISNULL(@V_DSCODIGOUTILIZA_NEW, '!') <> ISNULL(@V_DSCODIGOUTILIZA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Cdigo de Utilizao de Mapas = ' + @V_DSCODIGOUTILIZA_NEW;
         END;
         IF ISNULL(@V_IDEXIDIAENTREGA_NEW, '!') <> ISNULL(@V_IDEXIDIAENTREGA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Filtro de Dias de Entrega = ' + @V_IDEXIDIAENTREGA_NEW;
         END;
         IF ISNULL(@V_IDEXITRANSPDIST_NEW, '!') <> ISNULL(@V_IDEXITRANSPDIST_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Transportadora na Grade de Distribuio = ' + @V_IDEXITRANSPDIST_NEW;
         END;
         IF ISNULL(@V_IDEMPRESANFEXP_NEW, '!') <> ISNULL(@V_IDEMPRESANFEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Exibe Empresa da Nota Fiscal = ' + @V_IDEMPRESANFEXP_NEW;
         END;
         IF ISNULL(@V_IDSEPARADOR_NEW, '!') <> ISNULL(@V_IDSEPARADOR_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Utiliza Separador = ' + @V_IDSEPARADOR_NEW;
         END;
         IF ISNULL(@V_IDCONFERENTE_NEW, '!') <> ISNULL(@V_IDCONFERENTE_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Utiliza Conferente = ' + @V_IDCONFERENTE_NEW;
         END;
         IF ISNULL(@V_CDTIPTRANS_NEW, '!') <> ISNULL(@V_CDTIPTRANS_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + 'Transportadora = ' + @V_CDTIPTRANS_NEW;
         END;
         IF ISNULL(@V_IDTPIJURTRAN_NEW, '!') <> ISNULL(@V_IDTPIJURTRAN_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de inscrio= ' + @V_IDTPIJURTRAN_NEW;
         END;
         IF ISNULL(@V_NRINSJURTRAN_NEW, '!') <> ISNULL(@V_NRINSJURTRAN_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Inscrio jurdica = ' + @V_NRINSJURTRAN_NEW;
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPERLOTACAO_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPERLOTACAO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Vr. para aviso de lotao = ' + CONVERT(VARCHAR,@V_VRPERLOTACAO_OLD);
         END;
         IF ISNULL(@V_IDCANCELAITEM_NEW, '!') <> ISNULL(@V_IDCANCELAITEM_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Cancela produtos s/ estoque = ' + @V_IDCANCELAITEM_NEW;
         END;
         IF ISNULL(@V_IDCRTLVEICULO_NEW, '!') <> ISNULL(@V_IDCRTLVEICULO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Controle de veculos = ' + @V_IDCRTLVEICULO_NEW;
         END;
         IF ISNULL(@V_IDBLOQUEIAPESO_NEW, '!') <> ISNULL(@V_IDBLOQUEIAPESO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Bloqueia alterao no peso = ' + @V_IDBLOQUEIAPESO_NEW;
         END;
         IF ISNULL(@V_DSACREMISPERDA_NEW, '!') <> ISNULL(@V_DSACREMISPERDA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Emisso de produtos de perda = ' + @V_DSACREMISPERDA_NEW;
         END;
         IF ISNULL(@V_IDENTSAIOPPERDA_NEW, '!') <> ISNULL(@V_IDENTSAIOPPERDA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Operao E/S para perda = ' + @V_IDENTSAIOPPERDA_NEW;
         END;
         IF ISNULL(@V_IDENTSAIOPSOBRA_NEW, '!') <> ISNULL(@V_IDENTSAIOPSOBRA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Operao E/S para sobra = ' + @V_IDENTSAIOPSOBRA_NEW;
         END;
         IF ISNULL(@V_CDTPOPERPERDA_NEW, '!') <> ISNULL(@V_CDTPOPERPERDA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de operao de perda = ' + @V_CDTPOPERPERDA_NEW;
         END;
         IF ISNULL(@V_CDTPOPERSOBRA_NEW, '!') <> ISNULL(@V_CDTPOPERSOBRA_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Tipo de operao de sobra = ' + @V_CDTPOPERSOBRA_NEW;
         END;
         IF ISNULL(@V_IDBLOQUOPTERC_NEW, '!') <> ISNULL(@V_IDBLOQUOPTERC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Bloquear expedio de terc. s/ OP = ' + @V_IDBLOQUOPTERC_NEW;
         END;
         IF ISNULL(@V_IDUTILALMOXTERC_NEW, '!') <> ISNULL(@V_IDUTILALMOXTERC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Expedio de terc. utilizar estoque de terc. = ' + @V_IDUTILALMOXTERC_NEW;
         END;
         IF ISNULL(@V_IDCOMISPERIODO_NEW, '!') <> ISNULL(@V_IDCOMISPERIODO_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Comisso do vendedor por perodo = ' + @V_IDCOMISPERIODO_NEW;
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPERCOMEXP_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPERCOMEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Vr. de comisso na expedio (EXP) = ' + CONVERT(VARCHAR,@V_VRPERCOMEXP_OLD);
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_VRPERCOMREC_NEW, '!') <> ISNULL(CONVERT(VARCHAR,@V_VRPERCOMREC_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Vr. de comisso na baixa (REC) = ' + CONVERT(VARCHAR,@V_VRPERCOMREC_OLD);
         END;
         IF ISNULL(@V_IDUTSEPPEDEXP_NEW, '!') <> ISNULL(@V_IDUTSEPPEDEXP_OLD, '!') BEGIN
            SET @V_DESC = @V_DESC + ' Ut. Sep. Exp. = ' + @V_IDUTSEPPEDEXP_NEW;
         END;
         
      END;

      IF @V_TPMOVI <> '0' BEGIN
         EXEC NMUSUARIO  @V_USUARIO;
         EXEC WEBTUNNING @V_DSREMOTEADDR,
                         @V_DSREMOTEHOST,
                         @V_DSSERVERRDM,
                         @V_DSSERVMETHOD,
                         @V_DSREMOTEOPER;
         IF NOT @V_DESC IS NULL BEGIN

            SET @V_DTOPER = GETDATE();

            INSERT INTO LOGOPERA
               (NMTABELA,
                DTOPERACAO,
                NMRESPOPER,
                IDTIPOOPER,
                CDPESQITEM,
                DSOPERACAO,
                CDFILLOGOPER,
                DSRDMUSUOPER,
                DSENDUSUOPER,
                DSNMUSUOPER,
                DSMETUSUOPER,
                CDORESPOPER)
            VALUES
               ('PAREXPEDICAO',
                @V_DTOPER,
                @V_USUARIO,
                @V_TPMOVI,
                @V_ITPESQ,
                SUBSTRING(@V_DESC,1,300),
                @V_CDFILLOGOPER,
                @V_DSSERVERRDM,
                @V_DSREMOTEADDR,
                @V_DSREMOTEHOST,
                @V_DSSERVMETHOD,
                @V_DSREMOTEOPER);

         END;
      END;
      FETCH NEXT FROM C_CURSOR_R INTO @V_TIPO,
                                      @V_CDFILIAL_NEW, @V_IDPERADIEXP_NEW, @V_VRPEADIEXP_NEW, @V_VRPELIQEXP_NEW, @V_IDGERAREPLIC_NEW, 
                                      @V_IDRETPROEXP_NEW, @V_IDTPCADCLIEX_NEW, @V_IDGERAFINANC_NEW, @V_CDIMPOSTO_NEW, @V_IDCTRLVENEXP_NEW, 
                                      @V_IDNFPEDIDO_NEW, @V_IDCUSEXP_NEW, @V_IDGERPRODEST_NEW, @V_IDREPLITRANS_NEW, @V_CDGROPERTROC_NEW, 
                                      @V_IDEVOLESTTRO_NEW, @V_IDEXPQTDISP_NEW, @V_CDTPCTPAGFRE_NEW, @V_VRPECOGEREXP_NEW, @V_DSCODIGOUTILIZA_NEW, 
                                      @V_IDEXIDIAENTREGA_NEW, @V_IDEXITRANSPDIST_NEW, @V_IDEMPRESANFEXP_NEW, @V_IDSEPARADOR_NEW, 
                                      @V_IDCONFERENTE_NEW, @V_CDTIPTRANS_NEW, @V_IDTPIJURTRAN_NEW, @V_NRINSJURTRAN_NEW, @V_VRPERLOTACAO_NEW, 
                                      @V_IDCANCELAITEM_NEW, @V_IDCRTLVEICULO_NEW, @V_IDBLOQUEIAPESO_NEW, @V_DSACREMISPERDA_NEW,
                                      @V_IDENTSAIOPPERDA_NEW, @V_IDENTSAIOPSOBRA_NEW, @V_CDTPOPERPERDA_NEW, @V_CDTPOPERSOBRA_NEW, 
                                      @V_IDBLOQUOPTERC_NEW, @V_IDUTILALMOXTERC_NEW, @V_IDCOMISPERIODO_NEW, @V_VRPERCOMEXP_NEW, 
                                      @V_VRPERCOMREC_NEW, @V_IDUTSEPPEDEXP_NEW,
  
                                      @V_CDFILIAL_OLD, @V_IDPERADIEXP_OLD, @V_VRPEADIEXP_OLD, @V_VRPELIQEXP_OLD, @V_IDGERAREPLIC_OLD, 
                                      @V_IDRETPROEXP_OLD, @V_IDTPCADCLIEX_OLD, @V_IDGERAFINANC_OLD, @V_CDIMPOSTO_OLD, @V_IDCTRLVENEXP_OLD, 
                                      @V_IDNFPEDIDO_OLD, @V_IDCUSEXP_OLD, @V_IDGERPRODEST_OLD, @V_IDREPLITRANS_OLD, @V_CDGROPERTROC_OLD, 
                                      @V_IDEVOLESTTRO_OLD, @V_IDEXPQTDISP_OLD, @V_CDTPCTPAGFRE_OLD  @V_VRPECOGEREXP_OLD, @V_DSCODIGOUTILIZA_OLD, 
                                      @V_IDEXIDIAENTREGA_OLD, @V_IDEXITRANSPDIST_OLD, @V_IDEMPRESANFEXP_OLD, @V_IDSEPARADOR_OLD, 
                                      @V_IDCONFERENTE_OLD, @V_CDTIPTRANS_OLD, @V_IDTPIJURTRAN_OLD, @V_NRINSJURTRAN_OLD, @V_VRPERLOTACAO_OLD, 
                                      @V_IDCANCELAITEM_OLD, @V_IDCRTLVEICULO_OLD, @V_IDBLOQUEIAPESO_OLD, @V_DSACREMISPERDA_OLD,
                                      @V_IDENTSAIOPPERDA_OLD, @V_IDENTSAIOPSOBRA_OLD, @V_CDTPOPERPERDA_OLD, @V_CDTPOPERSOBRA_OLD, 
                                      @V_IDBLOQUOPTERC_OLD, @V_IDUTILALMOXTERC_OLD, @V_IDCOMISPERIODO_OLD, @V_VRPERCOMEXP_OLD, 
                                      @V_VRPERCOMREC_OLD, @V_IDUTSEPPEDEXP_OLD;
   END;
   CLOSE C_CURSOR_R;
   DEALLOCATE C_CURSOR_R;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_EXP_PAREXPEDICAO','0.00.000';
GO